{
    "path": "$OET_PATH/testcases/function_test/pkg_test/codemodel/codemodel-javadoc",
    "machine num": 1,
    "cases": [
        {
            "name": "test_codemodel-javadoc_function_install",
            "desc": "测试通过包管理器安装codemodel-javadoc软件包的功能是否正常。"
        },
        {
            "name": "test_codemodel-javadoc_function_check_version",
            "desc": "测试查询已安装的codemodel-javadoc软件包版本信息的功能是否正常。"
        },
        {
            "name": "test_codemodel-javadoc_function_generate_doc",
            "desc": "测试使用codemodel-javadoc工具为指定Java源代码生成API文档的基本功能。"
        },
        {
            "name": "test_codemodel-javadoc_function_show_options",
            "desc": "测试查看codemodel-javadoc工具支持的命令行选项和帮助信息的功能。"
        },
        {
            "name": "test_codemodel-javadoc_function_uninstall",
            "desc": "测试通过包管理器卸载codemodel-javadoc软件包的功能是否正常。"
        }
    ]
}